[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#584610: [mips] gcc-4.4 build failure after upgrade to eGLIBC-2.11

On Mon, Jun 07, 2010 at 09:15:05AM +0200, Matthias Klose wrote:
> On 06.06.2010 00:51, Aurelien Jarno wrote:
>> These functions were present before in the library, but not exported
>> in the headers. This has been changed as it is required by ISO C99.

>> While these functions are strictly not needed in libstdc++6 anymore, we
>> have two options:
>> - revert the GLIBC change, which means we break the C99 compatibility
>>    (as before)
>> - patch GCC to export these functions anyway.
>> What's your opinion?

> For ARM I did choose the second option, but didn't get any feedback about 
> it. So maybe it's time to ask the mips and arm porters?

> The patch applied for armel is:
> http://svn.debian.org/viewsvn/gcccvs/branches/sid/gcc-4.4/debian/patches/libstdc%2B%2B-arm-ldbl-compat.diff?view=log

I'm fine with this fix.


Reply to: